CVE-2023-32321

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2023-32321
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2023-32321.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2023-32321
Aliases
Published
2023-05-26T23:15:18Z
Modified
2024-06-06T14:22:17.759903Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
[none]
Details

CKAN is an open-source data management system for powering data hubs and data portals. Multiple vulnerabilities have been discovered in Ckan which may lead to remote code execution. An arbitrary file write in resource_create and package_update actions, using the ResourceUploader object. Also reachable via package_create, package_revise, and package_patch via calls to package_update. Remote code execution via unsafe pickle loading, via Beaker's session store when configured to use the file session store backend. Potential DOS due to lack of a length check on the resource id. Information disclosure: A user with permission to create a resource can access any other resource on the system if they know the id, even if they don't have access to it. Resource overwrite: A user with permission to create a resource can overwrite any resource if they know the id, even if they don't have access to it. A user with permissions to create or edit a dataset can upload a resource with a specially crafted id to write the uploaded file in an arbitrary location. This can be leveraged to Remote Code Execution via Beaker's insecure pickle loading. All the above listed vulnerabilities have been fixed in CKAN 2.9.9 and CKAN 2.10.1. Users are advised to upgrade. There are no known workarounds for these issues.

References

Affected packages

Git / github.com/ckan/ckan

Affected ranges

Type
GIT
Repo
https://github.com/ckan/ckan
Events

Affected versions

ckan-2.*

ckan-2.9.0
ckan-2.9.1
ckan-2.9.2
ckan-2.9.3
ckan-2.9.4
ckan-2.9.5
ckan-2.9.6
ckan-2.9.7
ckan-2.9.8